Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.actionhandlers
Class EsbNotifier

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.actionhandlers.EsbNotifier

All Implemented Interfaces:
  java.io.Serializable, org.jbpm.graph.def.ActionHandler

    public class EsbNotifier

extends java.lang.Object
implements org.jbpm.graph.def.ActionHandler

Sends ESB messages to ESB services from jBPM in an asynchronous way

esbCategoryName - for ESB registry lookup
esbServiceName - for ESB registry lookup

Author:
  Kurt Stam
See Also:
  Serialized Form

Field Summary
`org.dom4j.tree.DefaultElement` | `bpmToEsbVars` XML element to specify the mapping of variables from jBPM to ESB.
`java.lang.String` | `esbCategoryName` The ESB Service Category Name, specified in the processdefinition.xml
`java.lang.String` | `esbServiceName` The ESB Service Name, specified in the processdefinition.xml
`java.lang.Boolean` | `globalProcessScope` Default setting of the process scope, can be overriden by setting the process-scope attribute on the mapping element.
`java.lang.String` | `replyToOriginator` Use the replyTo or faultTo EPR from the originator.

Constructor Summary
`EsbNotifier()`

Method Summary
`void` | `execute(org.jbpm.graph.exe.ExecutionContext executionContext)` Constructs an ESB Message and sends sends to the an ESB Service as defined in the processdefinition.xml.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### esbCategoryName

    public java.lang.String esbCategoryName

  The ESB Service Category Name, specified in the processdefinition.xml

### esbServiceName

    public java.lang.String esbServiceName

  The ESB Service Name, specified in the processdefinition.xml

### globalProcessScope

    public java.lang.Boolean globalProcessScope

  Default setting of the process scope, can be overriden by setting the process-scope attribute on the mapping element.

### bpmToEsbVars

    public org.dom4j.tree.DefaultElement bpmToEsbVars

  XML element to specify the mapping of variables from jBPM to ESB.

### replyToOriginator

    public java.lang.String replyToOriginator

  Use the replyTo or faultTo EPR from the originator.

Constructor Detail

### EsbNotifier

    public EsbNotifier()

Method Detail

### execute

    public void execute(org.jbpm.graph.exe.ExecutionContext executionContext)
                 throws java.lang.Exception

  Constructs an ESB Message and sends sends to the an ESB Service as defined in the processdefinition.xml.

  Specified by:
    `execute` in interface `org.jbpm.graph.def.ActionHandler`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD